Debian Bug report logs - #522689
screen: doesn't pass signals to programs running inside screen on kfreebsd

version graph

Package: screen; Maintainer for screen is Axel Beckert <abe@debian.org>; Source for screen is src:screen.

Reported by: Axel Beckert <abe@debian.org>

Date: Sun, 5 Apr 2009 21:42:02 UTC

Severity: normal

Tags: patch

Found in version screen/4.0.3-12

Fixed in version 4.1.0~20110819git450e8f3-1

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@deuxchevaux.org>, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#522689; Package screen. (Sun, 05 Apr 2009 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to Axel Beckert <abe@deuxchevaux.org>, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Sun, 05 Apr 2009 21:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: screen: doesn't pass signals to programs running inside screen on kfreebsd
Date: Sun, 5 Apr 2009 23:34:06 +0200 (CEST)
Package: screen
Version: 4.0.3-12
Severity: normal
User: glibc-bsd-devel@lists.alioth.debian.org
Usertags: kfreebsd

screen on kfreebsd-i386 and kfreebsd-amd64 doesn't seem to pass any
signals (at least STOP, INT and WINCH) to text applications or shells
running inside that screen.

This has the following annoying effects on kfreebsd:

+ Neither Ctrl-C nor Ctrl-Z work inside screen. A manual kill -INT or
  kill -STOP on those programs from another shell (can be inside a
  screen) works fine.

+ When I run text-mode applications like irssi or zile inside screen
  and resize the xterm the screens run in (or reattach from a
  differently sized terminal), the applications don't get resized and
  I have to kill -WINCH them all manually.

Starting a new terminal inside screen with Ctrl-A Ctrl-C (or when
starting screen initially) always results in the following error
message:

  fgtty: Inappropriate ioctl for device

Could be a hint on the cause of the above described issues.

Since there exist workarounds using kill or killall manually, it's
surely not severity "important", but it's very annoying, though.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (110, 'experimental')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.1-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages screen depends on:
ii  libc0.1                   2.9-6          GNU C Library: Shared libraries
ii  libncursesw5              5.7+20090328-1 shared libraries for terminal hand
ii  libpam0g                  1.0.1-9        Pluggable Authentication Modules l

screen recommends no packages.

screen suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#522689; Package screen. (Mon, 06 Apr 2009 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. (Mon, 06 Apr 2009 15:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 522689@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: Axel Beckert <abe@deuxchevaux.org>, 522689@bugs.debian.org
Subject: Re: Bug#522689: screen: doesn't pass signals to programs running inside screen on kfreebsd
Date: Mon, 6 Apr 2009 16:58:35 +0200
[Message part 1 (text/plain, inline)]
Hi Axel,

> screen on kfreebsd-i386 and kfreebsd-amd64 doesn't seem to pass any
> signals (at least STOP, INT and WINCH) to text applications or shells
> running inside that screen.

thanks for bringing the kfreebsd port to my attention. The buildd log
looks a bit suspicious, too.

I'll debug this, but I don't have any leftover hardware for it so I'll
have to install and configure a kfreebsd VM, which might take me a
few days.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#522689; Package screen. (Mon, 06 Apr 2009 15:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Mon, 06 Apr 2009 15:45:09 GMT) Full text and rfc822 format available.

Message #15 received at 522689@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Cc: 522689@bugs.debian.org
Subject: Re: Bug#522689: screen: doesn't pass signals to programs running inside screen on kfreebsd
Date: Mon, 6 Apr 2009 17:44:31 +0200
Hi Jan,

Jan Christoph Nordholz schrieb am Mon, Apr 06, 2009 at 04:58:35PM +0200:
> thanks for bringing the kfreebsd port to my attention.

You're welcome. :-)

> The buildd log looks a bit suspicious, too.

Ok.

> I'll debug this, but I don't have any leftover hardware for it so
> I'll have to install and configure a kfreebsd VM, which might take
> me a few days.

There are DD accessible kfreebsd machines:

  http://asdfasdf.debian.net/ssh (kfreebsd-amd64)
  http://io.debian.net/ssh       (kfreebsd-i386)

Screen's build-deps were already installed on both anyway. :-)

HTH.

		Regards, Axel
-- 
/~\  Plain Text Ribbon Campaign                   | Axel Beckert
\ /  Say No to HTML in E-Mail and News            | abe@deuxchevaux.org  (Mail)
 X                                                | abe@noone.org (Mail+Jabber)
/ \  I love long mails: http://email.is-not-s.ms/ | http://noone.org/abe/ (Web)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#522689; Package screen. (Mon, 06 Apr 2009 16:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Extra info received and forwarded to list. (Mon, 06 Apr 2009 16:24:10 GMT) Full text and rfc822 format available.

Message #20 received at 522689@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: Axel Beckert <abe@deuxchevaux.org>
Cc: 522689@bugs.debian.org
Subject: Re: Bug#522689: screen: doesn't pass signals to programs running inside screen on kfreebsd
Date: Mon, 6 Apr 2009 18:09:56 +0200
[Message part 1 (text/plain, inline)]
Hi Axel,

> There are DD accessible kfreebsd machines:

I'm well aware of that. But I don't have that status (yet). ;)
If you happen to know of other kfreebsd machines where I could get
temporary access, that would be great - otherwise I'll just get
that VM running, might come in handy to have one anyway.


Regards,

Jan
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> to control@bugs.debian.org. (Fri, 10 Apr 2009 16:33:02 GMT) Full text and rfc822 format available.

Reply sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
You have taken responsibility. (Fri, 17 Apr 2009 09:45:05 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@deuxchevaux.org>:
Bug acknowledged by developer. (Fri, 17 Apr 2009 09:45:05 GMT) Full text and rfc822 format available.

Message #27 received at 522689-close@bugs.debian.org (full text, mbox):

From: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
To: 522689-close@bugs.debian.org
Subject: Bug#522689: fixed in screen 4.0.3-13
Date: Fri, 17 Apr 2009 09:32:13 +0000
Source: screen
Source-Version: 4.0.3-13

We believe that the bug you reported is fixed in the latest version of
screen, which is due to be installed in the Debian FTP archive:

screen_4.0.3-13.diff.gz
  to pool/main/s/screen/screen_4.0.3-13.diff.gz
screen_4.0.3-13.dsc
  to pool/main/s/screen/screen_4.0.3-13.dsc
screen_4.0.3-13_amd64.deb
  to pool/main/s/screen/screen_4.0.3-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522689@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de> (supplier of updated screen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 10 Apr 2009 18:20:49 +0200
Source: screen
Binary: screen
Architecture: source amd64
Version: 4.0.3-13
Distribution: unstable
Urgency: low
Maintainer: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Changed-By: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Description: 
 screen     - terminal multiplexor with VT100/ANSI terminal emulation
Closes: 520317 520359 521123 522689
Changes: 
 screen (4.0.3-13) unstable; urgency=low
 .
   * Sync with Ubuntu, closes: #520359. New dpatches:
     * 33increase_max_winmsg_renditions
     * 35screen_invoked_with_a_command (cherry-picked from upstream)
   * Bump Standards version to 3.8.1 (again, no changes).
   * Accommodate initscript to adjust the $SCREENDIR permissions
     correctly even if /usr/bin/screen is installed 0755.
     Add a Q&A pair to README.Debian to clarify this problem.
     Closes: #520317.
   * Fix #433338 properly by keeping the umask instead of dropping
     the 'public exchange file' concept. Modify dpatch 22.
     Addresses CVE-2009-1214, CVE-2009-1215, closes: #521123.
   * Depend on patch-stamp instead of patch in debian/rules.
     (Phony targets as intermediates in a dep chain are braindead.)
   * Fix job control and CTTY handling on our new kfreebsd archs.
     Closes: #522689. Thanks to Axel Beckert for his support!
Checksums-Sha1: 
 59a8a50583b41231f8ce8644f4639804e6823285 1096 screen_4.0.3-13.dsc
 17359bf914c2369146f5c6cc009e7b5643aa5cc3 132891 screen_4.0.3-13.diff.gz
 26f62a5d3c49a493dc871f9954c05589901dd1be 626354 screen_4.0.3-13_amd64.deb
Checksums-Sha256: 
 691aa9706c187edc259f10fbdbb0b70eb653b6de66f743aedef64a5321c6dccc 1096 screen_4.0.3-13.dsc
 f85b8b1b478f1027fa1c8bb6e8f38e60ab95c09662584cd4157b914707560c57 132891 screen_4.0.3-13.diff.gz
 c6bedf903a150e99ccd3bd0bc73505b48895f95f3d3919778fbd398897bcfd7c 626354 screen_4.0.3-13_amd64.deb
Files: 
 157dd78e0ca325b4b944720b154074b6 1096 misc optional screen_4.0.3-13.dsc
 4c43dfec73755dfc460024b1b65a91a6 132891 misc optional screen_4.0.3-13.diff.gz
 c1662f7f24f5aa365f0104a5a891cd1a 626354 misc optional screen_4.0.3-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknoSTYACgkQHYflSXNkfP8uxgCaApwJNI5AN0hdVl/vDAZh6ngP
xZ0An0KQyN5iXXlT2EBS4Uq7dNBJP6TX
=Snkz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 May 2009 07:31:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Thomas Schwinge <tschwinge@gnu.org> to control@bugs.debian.org. (Wed, 07 Oct 2009 09:06:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions screen/4.0.3-13 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Oct 2009 09:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#522689; Package screen. (Wed, 07 Oct 2009 09:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Schwinge <tschwinge@gnu.org>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Wed, 07 Oct 2009 09:24:08 GMT) Full text and rfc822 format available.

Message #38 received at 522689@bugs.debian.org (full text, mbox):

From: Thomas Schwinge <tschwinge@gnu.org>
To: 522689@bugs.debian.org, control@bugs.debian.org
Cc: bug-hurd@gnu.org, Roland McGrath <roland@frob.com>, Samuel Thibault <samuel.thibault@ens-lyon.org>
Subject: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Wed, 7 Oct 2009 10:47:19 +0200
[Message part 1 (text/plain, inline)]
unarchive 522689
reopen 522689
stop


Hello!

Unfortunately, the fix you installed for GNU/kFreeBSD now makes the
originally reported erroneous behavior (screen not passing signals)
appear on GNU/Hurd systems.

This is due to changing what was:

    # if defined(__osf__) || (BSD >= 199103) || defined(ISC)
      if (separate_sids)
        setsid();   /* should be already done */
    #  ifdef TIOCSCTTY
      ioctl(fd, TIOCSCTTY, (char *)0);
    #  endif
    # endif        

... to...

    # if defined(__FreeBSD_kernel__) && defined(TIOCSCTTY)
      ioctl(fd, TIOCSCTTY, (char *)0);
    # endif

... which causes that the TIOCSCTTY IOCTL will no longer be invoked for
us.  (By the way, I can confirm that the setsid() indeed doesn't seem to
be needed at this place.)

Possible solutions: restore the original #if conditions -- what was the
reason for changing these in the first place?  This information is
missing in the bug report, as well as in the screen patch.  Doesn't
GNU/kFreeBSD #define BSD >= 199103?  (I don't have access to (k)(Free)BSD
system, so I can't easily check.)  Otherwise, you could add ``||
defined(__GNU__)'' to cater for us (TIOCSCTTY is always #defined)
(supported by Samuel Thibault in
<http://lists.gnu.org/archive/html/bug-hurd/2009-10/msg00033.html>).  Or,
as per Roland McGrath (glibc), you could even unconditionally invoke the
TIOCSCTTY IOCTL (if available):
<http://lists.gnu.org/archive/html/bug-hurd/2009-10/msg00032.html>.  If
you want to have a look for yourself on a Debian GNU/Hurd system, see
here: <http://www.gnu.org/software/hurd/public_hurd_boxen.html>.


Regards,
 Thomas
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to 'Axel Beckert <abe@debian.org>' from 'Axel Beckert <abe@deuxchevaux.org>' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 17 Feb 2010 19:15:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>:
Bug#522689; Package screen. (Fri, 22 Apr 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>. (Fri, 22 Apr 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 522689@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: Thomas Schwinge <tschwinge@gnu.org>
Cc: 522689@bugs.debian.org
Subject: Re: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Fri, 22 Apr 2011 19:12:07 +0200
[Message part 1 (text/plain, inline)]
So, could you use this patch instead please?

Samuel
[12kfreebsd_ctty.dpatch (text/plain, attachment)]

Added tag(s) patch. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Fri, 22 Apr 2011 17:15:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 04 Oct 2011 22:21:05 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Sun, 09 Oct 2011 18:09:12 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Sun, 09 Oct 2011 18:09:12 GMT) Full text and rfc822 format available.

Message #54 received at 522689-done@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 522689-done@bugs.debian.org
Subject: Bug#522689 has been closed with the last upload which included Samuel Thibault's porter upload
Date: Sun, 9 Oct 2011 20:07:30 +0200
Version: 4.0.3-14+hurd.1
Version: 4.1.0~20110819git450e8f3-1

I included Thibault's Hurd porter upload in my upload to experimental
so this should be fixed at least in experimental for now.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#522689; Package screen. (Fri, 08 Jun 2012 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Fri, 08 Jun 2012 00:00:35 GMT) Full text and rfc822 format available.

Message #59 received at 522689@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: 522689@bugs.debian.org
Subject: Re: Bug#522689: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Fri, 8 Jun 2012 01:56:54 +0200
Hello,

Do you plan to upload the current experimental version to sid before
the freeze?  We really need this fix on hurd-i386, otherwise screen is
mostly unusable.  Shall I perhaps NMU the current sid version with just
this patch?

Samuel

Samuel Thibault, le Fri 22 Apr 2011 19:12:07 +0200, a écrit :
> So, could you use this patch instead please?
> 
> Samuel

> #! /bin/sh /usr/share/dpatch/dpatch-run
> ## 12kfreebsd_ctty.dpatch by  <hesso@pool.math.tu-berlin.de>
> ##
> ## DP: See inline documentation.
> 
> @DPATCH@
> --- screen-4.0.3.orig/tty.sh	2009-04-10 18:15:51.923805915 +0200
> +++ screen-4.0.3/tty.sh	2009-04-10 18:17:56.043804602 +0200
> @@ -801,18 +801,11 @@
>  
>    mypid = getpid();
>  
> -  /* The next lines should be obsolete. Can anybody check if they
> -   * are really needed on the BSD platforms?
> -   *
> -   * this is to avoid the message:
> -   *	fgtty: Not a typewriter (25)
> +  /*
> +   * Under BSD we have to set the controlling terminal again explicitly.
>     */
> -# if defined(__osf__) || (BSD >= 199103) || defined(ISC)
> -  if (separate_sids)
> -    setsid();	/* should be already done */
> -#  ifdef TIOCSCTTY
> +# if (defined(__FreeBSD_kernel__) || defined(__GNU__)) && defined(TIOCSCTTY)
>    ioctl(fd, TIOCSCTTY, (char *)0);
> -#  endif
>  # endif
>  
>  # ifdef POSIX


-- 
Samuel
  bien sûr que ça convient mieux à tout le monde
  enfin, dans la mesure où tout le monde c'est comme moi
 -+- le consensus, c'est facile -+-




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#522689; Package screen. (Fri, 08 Jun 2012 10:49:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Fri, 08 Jun 2012 10:49:42 GMT) Full text and rfc822 format available.

Message #64 received at 522689@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Samuel Thibault <samuel.thibault@gnu.org>
Cc: 522689@bugs.debian.org, 660567@bugs.debian.org, 644788@bugs.debian.orgr
Subject: Re: Bug#522689: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Fri, 8 Jun 2012 12:31:26 +0200
Hi Samuel,

Samuel Thibault wrote:
> Do you plan to upload the current experimental version to sid before
> the freeze?

I do. Likely this weekend.

I actually kept this screen version in experimental for two reasons
(aka two more or less RC bugs in the experimental package):

First because I hoped upstream would find a solution for
http://bugs.debian.org/644788 soon -- but despite the statement in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644788#232 that this
issue is the only thing which holds back a beta release of 4.1.0, no
fixes have been showing up in upstream's git repo until now and I also
got no reply on my ping wrt this issue on #screen on IRC.

So I'll implement the discussed workaround (copying old
/usr/bin/screen to /tmp/ and informing the admin about it via debconf,
cf. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=644788#217) and
then upload to unstable.

> We really need this fix on hurd-i386, otherwise screen is mostly
> unusable. Shall I perhaps NMU the current sid version with just
> this patch?

Hrm, I was sure your already did that. Because I took over not only
your patch but also your changelog entry which is not part of the
patch attached to this bug report:

http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=0d9908c6

But maybe it was a to a seperate repository or so: "unreleased" in
lower case sounds like a porter repository like those on
debian-ports.org.

But no, I think (and hope ;-) that you don't need to NMU screen.


The second reason for not uploading to unstable yet has been resolved
last week, but it may affect usability on Hurd, too, again:

4.1.0 failed on kfreebsd again (http://bugs.debian.org/660567) and
thanks to Jan Christoph Nordholz I was able to fix it on kfreebsd a
few days ago.

Would you be so kind to check that my new patch
(http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=7d2ca279)
works properly on Hurd, too?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#522689; Package screen. (Mon, 11 Jun 2012 12:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Mon, 11 Jun 2012 12:48:07 GMT) Full text and rfc822 format available.

Message #69 received at 522689@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: 522689@bugs.debian.org, 660567@bugs.debian.org, 644788@bugs.debian.orgr
Subject: Re: Bug#522689: screen: GNU/kFreeBSD fix breaks GNU/Hurd
Date: Mon, 11 Jun 2012 14:45:18 +0200
Axel Beckert, le Fri 08 Jun 2012 12:31:26 +0200, a écrit :
> The second reason for not uploading to unstable yet has been resolved
> last week, but it may affect usability on Hurd, too, again:
> 
> 4.1.0 failed on kfreebsd again (http://bugs.debian.org/660567) and
> thanks to Jan Christoph Nordholz I was able to fix it on kfreebsd a
> few days ago.
> 
> Would you be so kind to check that my new patch
> (http://anonscm.debian.org/gitweb/?p=collab-maint/screen.git;a=commitdiff;h=7d2ca279)
> works properly on Hurd, too?

I didn't find the time to test before your upload, but I could test the
built package and it looks fine.

Samuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Jul 2012 07:49:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:44:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.